Page MenuHomePhabricator

Growth experiments and initiatives around new editors gathering
Closed, ResolvedPublic

Description

Following the Hackathon in Prague, the Growth team continues to work on tools that help newcomers to work on their first steps. The focus is mainly on Wikipedias.

This session is geared toward Hackathon participants who want to build software that helps new wiki editors be productive and fit into their communities. We are also interested by any community and/or developers initiatives that helps newcomers to make their first steps on the wikis. If you are for instance a gadget creator or an help page builder, we will be happy to have a chat with you!

We will cover:

  • The engineering projects that have been started to make editing easier and to make learning easier.
  • Some of the facts about newcomers' biggest challenges and needs in which the projects are grounded.
  • Concrete ideas for Hackathon projects that can build on existing work in this domain, and ideas for prototypes of new ideas.
  • How communities can get the existing prototypes on your wiki.

When: Wednesday 14, 14:00
Where: Aula Magna breakout room 3: Polsjarnan

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2019, 9:08 AM
Trizek-WMF updated the task description. (Show Details)Aug 8 2019, 9:09 AM
Trizek-WMF added subscribers: MMiller_WMF, Tgr, JTannerWMF and 2 others.
Trizek-WMF triaged this task as Medium priority.Aug 9 2019, 2:01 PM

Some of the facts about newcomers' biggest challenges and needs in which the projects are grounded.

During Wikimania-Hackathon-2018 finding help (in terms of documentation) on wiki was stated as one of the big challenges for newcomers. Specific shortcomings were listed - i.e. outdated info (e.g. Harvard style footnotes for referencing which is rarely used) and too much focus on "don't"s. Whereas Help panel provides supposedly better access to help pages, it would be really great to take it as an opportunity to improve the quality (and, maybe, the quantity) of Help documentation.

kostajh moved this task from Inbox to External on the Growth-Team board.Aug 16 2019, 3:04 PM
kostajh added a subscriber: kostajh.

@Trizek-WMF can you please post notes / video / etc to this task, then we can close it?

I haven't strictly monitored how many contacts we obtained from this session, but it definitely helped T228980: [goal] Deploy Growth features on wikis requesting them.

Concerning notes, @MMiller_WMF took some IIRC.

MMiller_WMF closed this task as Resolved.Aug 30 2019, 6:01 PM

The session was attended by about 20 people, and resulted in the following notes. Thank you to everyone who was present! The team gained some good ideas and insight, and we hope we inspired some Hackathon projects.

Help panel

  • In discussing the idea of incorporating live chat into the help panel, a suggestion was to link the UI of the help panel such that chats are routed into IRC rooms, and back to the help panel. That way, newcomers can use the help panel, and experienced users can answer via IRC.
  • A common question from newcomers in Arabic Wikipedia is that they ask for experienced users to proofread their grammar, because not all Arabic speakers know how to write correctly in “standard Arabic”.

Newcomer homepage

  • A user from Hungarian Wikipedia recommended matching mentors to users based on topical interests (e.g. music, history, etc) via the respondent’s answer on the welcome survey. Perhaps mentors could also answer that same welcome survey question to make the linking easy.
  • Perhaps mentors could indicate formally when they are and are not available so that the system assigns only available mentors.
  • While some wikis already use site notice or CentralNotice to tell users when events are coming up, perhaps the homepage could also do that, via a “wiki-specific event module”. If users indicate their location (or we ascertain it from IP address), perhaps we could tell them about nearby events. German Wikipedia advertised meetups to its readers, and hundreds of people showed up.
  • If newcomers are struggling to assemble good user pages, perhaps explanatory videos would help.
  • An experienced user recommended that the homepage evolve as the user gains experience, so that the page continues to be relevant to them.

Newcomer tasks

  • The content translation tool could be a good task recommendation not only because of the type of task it is, but also because the tool gives some structure to the process of editing and using the visual editor. An organizer of edit-a-thons said they recommend that newcomers translate short biographies. The challenge is to assemble the list of short biographies in the first place.
  • Many newcomers may be interested in writing a new article, but look at some of the really high quality articles as examples, and then feel daunted at the prospect of making an article that good. It could be illuminating to show newcomers that even the longest articles began as stubs, and showing their evolution. Perhaps some kind of animation or video. Here is an example of such a video.